Panda3D

Loading...
Searching...
No Matches
Functions | Variables
multify.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "panda_getopt.h"`
`#include "preprocess_argv.h"`
`#include "multifile.h"`
`#include "pointerTo.h"`
`#include "filename.h"`
`#include "pset.h"`
`#include "vector_string.h"`
`#include "virtualFileSystem.h"`
`#include <stdio.h>`
`#include <time.h>`

Go to the source code of this file.

## Functions
bool | add_files (const vector_string &params)
bool | do_add_directory (Multifile *multifile, const Filename &directory_name)
bool | do_add_files (Multifile *multifile, const pvector< Filename > &filenames)
bool | extract_files (const vector_string &params)
const char * | format_timestamp (bool record_timestamp, time_t timestamp)
int | get_compression_level (const Filename &subfile_name)
const string & | get_password ()
void | help ()
bool | is_named (const string &subfile_name, const vector_string &params)
bool | is_text (const Filename &subfile_name)
bool | kill_files (const vector_string &params)
bool | list_files (const vector_string &params)
int | main (int argc, char **argv)
bool | sign_multifile ()
void | tokenize_extensions (const string &str, pset< string > &extensions)
void | usage ()

## Variables
bool | append = false
Filename | chdir_to
bool | compress_flag = false
bool | create = false
int | default_compression_level = 6
pset< string > | dont_compress
string | dont_compress_str = "jpg,png,mp3,ogg"
bool | encryption_flag = false
bool | extract = false
bool | got_chdir_to = false
bool | got_header_prefix = false
bool | got_multifile_name = false
bool | got_password = false
bool | got_record_timestamp_flag = false
string | header_prefix
bool | kill_cmd = false
Filename | multifile_name
string | password
bool | record_timestamp_flag = true
size_t | scale_factor = 0
vector_string | sign_params
time_t | source_date_epoch = (time_t)-1
pset< string > | text_ext
string | text_ext_str = "txt"
bool | tlist = false
bool | to_stdout = false
bool | update = false
bool | verbose = false

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Definition in file multify.cxx.

## Function Documentation

## ◆ add_files()

bool add_files | ( | const vector_string & | params | ) |

Definition at line 380 of file multify.cxx.

## ◆ do_add_directory()

bool do_add_directory | ( | Multifile * | multifile,
|  | const Filename & | directory_name )

Definition at line 317 of file multify.cxx.

## ◆ do_add_files()

bool do_add_files | ( | Multifile * | multifile,
|  | const pvector< Filename > & | filenames )

Definition at line 336 of file multify.cxx.

## ◆ extract_files()

bool extract_files | ( | const vector_string & | params | ) |

Definition at line 456 of file multify.cxx.

## ◆ format_timestamp()

const char * format_timestamp | ( | bool | record_timestamp,
|  | time_t | timestamp )

Definition at line 617 of file multify.cxx.

## ◆ get_compression_level()

int get_compression_level | ( | const Filename & | subfile_name | ) |

Definition at line 296 of file multify.cxx.

## ◆ get_password()

const string & get_password | ( |  | ) |

Definition at line 251 of file multify.cxx.

## ◆ help()

void help | ( |  | ) |

Definition at line 101 of file multify.cxx.

## ◆ is_named()

bool is_named | ( | const string & | subfile_name,
|  | const vector_string & | params )

Definition at line 263 of file multify.cxx.

## ◆ is_text()

bool is_text | ( | const Filename & | subfile_name | ) |

Definition at line 282 of file multify.cxx.

## ◆ kill_files()

bool kill_files | ( | const vector_string & | params | ) |

Definition at line 513 of file multify.cxx.

## ◆ list_files()

bool list_files | ( | const vector_string & | params | ) |

Definition at line 647 of file multify.cxx.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 777 of file multify.cxx.

## ◆ sign_multifile()

bool sign_multifile | ( |  | ) |

Definition at line 567 of file multify.cxx.

## ◆ tokenize_extensions()

void tokenize_extensions | ( | const string & | str,
|  | pset< string > & | extensions )

Definition at line 762 of file multify.cxx.

## ◆ usage()

void usage | ( |  | ) |

Definition at line 95 of file multify.cxx.

## Variable Documentation

## ◆ append

bool append = false

Definition at line 31 of file multify.cxx.

## ◆ chdir_to

Filename chdir_to

Definition at line 47 of file multify.cxx.

## ◆ compress_flag

bool compress_flag = false

Definition at line 37 of file multify.cxx.

## ◆ create

bool create = false

Definition at line 30 of file multify.cxx.

## ◆ default_compression_level

int default_compression_level = 6

Definition at line 38 of file multify.cxx.

## ◆ dont_compress

pset<string> dont_compress

Definition at line 50 of file multify.cxx.

## ◆ dont_compress_str

string dont_compress_str = "jpg,png,mp3,ogg"

Definition at line 55 of file multify.cxx.

## ◆ encryption_flag

bool encryption_flag = false

Definition at line 42 of file multify.cxx.

## ◆ extract

bool extract = false

Definition at line 34 of file multify.cxx.

## ◆ got_chdir_to

bool got_chdir_to = false

Definition at line 48 of file multify.cxx.

## ◆ got_header_prefix

bool got_header_prefix = false

Definition at line 46 of file multify.cxx.

## ◆ got_multifile_name

bool got_multifile_name = false

Definition at line 40 of file multify.cxx.

## ◆ got_password

bool got_password = false

Definition at line 44 of file multify.cxx.

## ◆ got_record_timestamp_flag

bool got_record_timestamp_flag = false

Definition at line 61 of file multify.cxx.

## ◆ header_prefix

string header_prefix

Definition at line 45 of file multify.cxx.

## ◆ kill_cmd

bool kill_cmd = false

Definition at line 35 of file multify.cxx.

## ◆ multifile_name

Filename multifile_name

Definition at line 39 of file multify.cxx.

## ◆ password

string password

Definition at line 43 of file multify.cxx.

## ◆ record_timestamp_flag

bool record_timestamp_flag = true

Definition at line 62 of file multify.cxx.

## ◆ scale_factor

size_t scale_factor = 0

Definition at line 49 of file multify.cxx.

## ◆ sign_params

vector_string sign_params

Definition at line 52 of file multify.cxx.

## ◆ source_date_epoch

time_t source_date_epoch = (time_t)-1

Definition at line 60 of file multify.cxx.

## ◆ text_ext

pset<string> text_ext

Definition at line 51 of file multify.cxx.

## ◆ text_ext_str

string text_ext_str = "txt"

Definition at line 58 of file multify.cxx.

## ◆ tlist

bool tlist = false

Definition at line 33 of file multify.cxx.

## ◆ to_stdout

bool to_stdout = false

Definition at line 41 of file multify.cxx.

## ◆ update

bool update = false

Definition at line 32 of file multify.cxx.

## ◆ verbose

bool verbose = false

Definition at line 36 of file multify.cxx.